View Issue Details

IDProjectCategoryView StatusLast Update
0000996NoesisGUIC# SDKpublic2018-12-24 01:29
ReporterWaveEngineTeamAssigned Tojsantos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.0 
Target Version2.2.0Fixed in Version2.2.0b5 
Summary0000996: StringFormat de los Binding
DescriptionAl usar StringFormat en los Binding, el comportamiento en el siguiente caso no es el mismo que en WPF:

En un TextBlock usando la propiedad Text de la siguiente forma, muestra el texto "{0}m". Siendo Area un double.
- Text="{Binding Info.Area, StringFormat={}{0}m}"

Si lo uso de la siguiente forma, muestra "123m":
- Text="{Binding Info.Area, StringFormat={}{0:F0}m}"

En WPF los dos casos muestran lo mismo.

TagsWaveEngine
PlatformAny

Relationships

child of 0001381 resolvedjsantos Improvements to StringFormat 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-12-28 16:24 WaveEngineTeam New Issue
2016-12-28 18:35 WaveEngineTeam Tag Attached: WaveEngine
2017-01-05 02:06 admin Assigned To => admin
2017-01-05 02:06 admin Status new => assigned
2017-01-05 02:06 sfernandez Assigned To admin => sfernandez
2018-11-22 10:35 sfernandez Assigned To sfernandez => jsantos
2018-11-22 10:35 sfernandez Target Version => 2.2.0
2018-11-22 10:35 sfernandez View Status private => public
2018-11-22 10:35 sfernandez Platform => Any
2018-12-23 20:41 jsantos Relationship added child of 0001381
2018-12-24 01:29 jsantos Status assigned => resolved
2018-12-24 01:29 jsantos Resolution open => fixed
2018-12-24 01:29 jsantos Fixed in Version => 2.2.0b5